"""revise test_download so that the workflow ID is in the delivery path

Revision ID: c8ace50bc1bf
Revises: 3bed1c92b0b8
Create Date: 2021-04-16 10:25:09.945253

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "c8ace50bc1bf"
down_revision = "3bed1c92b0b8"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'#!/bin/sh\n\ndatafetcher --product-locator $1\ndeliver -r . --prefix $2\n' "
        "WHERE filename = 'test_download.sh'"
    )

    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'executable = test_download.sh\narguments = {{product_locator}} {{request_id}}\nerror = test_download.err\nlog = test_download.log\n\nqueue' "
        "WHERE filename = 'test_download.condor'"
    )


def downgrade():
    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'#!/bin/sh\n\ndatafetcher --product-locator $1\ndeliver -r .\n' "
        "WHERE filename = 'test_download.sh'"
    )

    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'executable = test_download.sh\narguments = {{product_locator}}\nerror = test_download.err\nlog = test_download.log\n\nqueue' "
        "WHERE filename = 'test_download.condor'"
    )
